package com.ibm.ctg.ping;
/**
*   Class: CTGPing
*   
*   Support pack for IBM CICS Transaction Gateway Version v5.0 to v7.2 
*
*   Version       : 1.3
*
*   Description   : Connects to a specified Gateway daemon, issues requests
*   and measures the time taken for operations to complete. This is useful for 
*   testing and debugging connectivity and performance.
*
*   See support pack documentation for details on how to configure and use this
*   sample. Also see the support pack for information on configuration necessary on
*   CICS.
*   
*   Licensed Materials - Property of IBM
*
*   Copyright IBM Corporation 2007,2008
*   All Rights Reserved
*
*   US Government Users Restricted Rights - Use,
*   duplication, or disclosure restricted by GSA
*   Schedule Contract with IBM Corporation
*
*
*   The following code is sample code created by IBM Corporation.  This
*   sample code is not part of any standard IBM product and is provided
*   to you solely for the purpose of assisting you in the development of
*   your applications.  The code is provided 'AS IS', without warranty
*   or condition of any kind.  IBM shall not be liable for any damages
*   arising out of your use of the sample code, even if IBM has been
*   advised of the possibility of such damages.
* 
*/

public class CTGping {

   public static void main(String[] args) {
      //Formats and writes output to stdout
      DisplayOut myOutputter = new DisplayOut();   
      //The main ping logic
      Pinger mainCode = new Pinger(myOutputter);
      //Run the pings
      int rc = mainCode.runMain(args);
      //Display the command line parms if required
      if (rc == Pinger.INVALID_PARAMETERS || rc == Pinger.HELP_SPECIFIED) {
         myOutputter.displayUsage();
      }
      //Pass the return code to any calling shell script
      System.exit(rc);
   }

   public CTGping() {
      super();
   }

}