package com.ibm.ctg.ping;
/**
*   Class: URLSpecifier
*   
*   Support pack for IBM CICS Transaction Gateway Version v5.0 to v7.2 
*
*   Version       : 1.3
*
*   Description   : Connects to a specified Gateway daemon, issues requests
*   and measures the time taken for operations to complete. This is useful for 
*   testing and debugging connectivity and performance.
*
*   See support pack documentation for details on how to configure and use this
*   sample. Also see the support pack for information on configuration necessary on
*   CICS.
*   
*   Licensed Materials - Property of IBM
*
*   Copyright IBM Corporation 2008
*   All Rights Reserved
*
*   US Government Users Restricted Rights - Use,
*   duplication, or disclosure restricted by GSA
*   Schedule Contract with IBM Corporation
*
*
*   The following code is sample code created by IBM Corporation.  This
*   sample code is not part of any standard IBM product and is provided
*   to you solely for the purpose of assisting you in the development of
*   your applications.  The code is provided 'AS IS', without warranty
*   or condition of any kind.  IBM shall not be liable for any damages
*   arising out of your use of the sample code, even if IBM has been
*   advised of the possibility of such damages.
* 
*/

public class URLSpecifier {
   String URL;
   int port=-1;
   boolean portSpecified=false;
   
   public int getPort() throws PortNotSpecifiedException {
      if (portSpecified) {
         return port;
      } else {
         throw new PortNotSpecifiedException();
      }
   }
   public URLSpecifier(String url, int port) {
      super();
      URL = url;
      this.port = port;
      portSpecified=true;
   }
   
   public URLSpecifier(String url) {
      super();
      URL = url;
      portSpecified=false;
   }
   public String getURL() {
      return URL;
   }
 
   public boolean isPortSpecified() {
      return portSpecified;
   }
  
   public String toString() {
      if (portSpecified) {
         return URL + ":" + port;
      } else {
         return URL;
      }
   }
   
}
